Halo Guys, Apa kabar kalian semua? Semoga Kalian Semua Baik-Baik Saja. Hari ini saya menerapkan firebase di aplikasi saya Tapi saya menghadapi kesalahan berikut Upaya kesalahan impor: ‘firebase/app’ tidak berisi ekspor default (diimpor sebagai ‘firebase’) di ReactJs. Jadi Di Sini Saya Jelaskan kepada Anda semua solusi yang mungkin di sini.

Tanpa membuang waktu, Mari kita mulai Artikel Ini untuk Mengatasi Kesalahan Ini.

Bagaimana Upaya kesalahan impor: ‘firebase/app’ tidak berisi ekspor default (diimpor sebagai ‘firebase’) Terjadi Kesalahan?

Hari ini saya menerapkan firebase di aplikasi saya Tapi saya menghadapi kesalahan berikut.

./src/firebase.js Attempted import error: 'firebase/app' does not contain a default export (imported as 'firebase').

Ini kode saya.

import firebase from "firebase/app";
import "firebase/auth";

Bagaimana Mengatasi Kesalahan impor yang dicoba: ‘firebase/app’ tidak mengandung kesalahan ekspor default (diimpor sebagai ‘firebase’)?

  1. Bagaimana Mengatasi Kesalahan impor yang dicoba: ‘firebase/app’ tidak mengandung kesalahan ekspor default (diimpor sebagai ‘firebase’)?

    Untuk Mengatasi Kesalahan impor yang dicoba: ‘firebase/app’ tidak mengandung ekspor default (diimpor sebagai ‘firebase’) Kesalahan Jika Anda menggunakan Versi 9 maka jangan lupa bahwa ada sedikit perubahan untuk mengimpor firebase Sekarang ada compatibility jadi bisa menggunakan folder /compat di impor Anda. Berikut adalah contoh Ganti baris ini. impor firebase dari firebase/app; Dengan ini impor firebase dari ‘firebase/compat/app’; solusi kedua adalah Jika Anda menghadapi kesalahan ini maka cukup turunkan versi ke salah satu versi firebase yang lebih rendah dari v9.

  2. Upaya kesalahan impor: ‘firebase/app’ tidak berisi ekspor default (diimpor sebagai ‘firebase’)

    Untuk Mengatasi Kesalahan impor yang dicoba: ‘firebase/app’ tidak mengandung ekspor default (diimpor sebagai ‘firebase’) Kesalahan Jika Anda menggunakan Versi 9 maka jangan lupa bahwa ada sedikit perubahan untuk mengimpor firebase Sekarang ada compatibility jadi bisa menggunakan folder /compat di impor Anda. Berikut adalah contoh Ganti baris ini. impor firebase dari firebase/app; Dengan firebase impor ini dari ‘firebase/compat/app’; solusi kedua adalah Jika Anda menghadapi kesalahan ini maka cukup turunkan versi ke salah satu versi firebase yang lebih rendah dari v9.

Solusi 1: gunakan folder / compat dalam impor

Jika Anda menggunakan Versi 9 maka jangan lupa bahwa ada sedikit perubahan untuk mengimpor firebase Sekarang ada compatibility jadi bisa menggunakan /kompat folder dalam impor Anda. Berikut adalah contoh.

Ganti baris ini.

import firebase from "firebase/app";

Dengan ini.

import firebase from 'firebase/compat/app';

Berikut adalah beberapa contoh yang diubah di versi 9

//to use firebase app
import firebase from 'firebase/app'; //older version
import firebase from 'firebase/compat/app'; //v9

//to use auth
import 'firebase/auth'; //older version
import 'firebase/compat/auth'; //v9

//to use firestore
import 'firebase/firestore'; //Older Version
import 'firebase/compat/firestore'; //v9

Solusi 2: Turunkan versi firebase

Jika Anda menghadapi kesalahan ini, turunkan saja ke salah satu versi firebase yang lebih rendah dari v9.

Solusi 3: buat objek Aplikasi Firebase Seperti contoh di bawah ini

  1. Instal Firebase menggunakan npm.
  2. npm instal firebase
  3. Inisialisasi Firebase di aplikasi Anda dan buat objek Aplikasi Firebase Seperti contoh di bawah ini.
import { initializeApp } from 'firebase/app';

// TODO: Replace the following with your app's Firebase project
configuration const firebaseConfig = {   //... };

const app = initializeApp(firebaseConfig);

musim panas

Ini semua Tentang masalah ini. Semoga semua solusi banyak membantu Anda. Komentar di bawah Pikiran dan pertanyaan Anda. Juga, Komentar di bawah solusi mana yang berhasil untuk Anda?